/* eslint-disable @typescript-eslint/no-explicit-any */
import { Route, Routes } from 'react-router-dom'
import './App.css'
import Navbar from './components/Navbar/Navbar/Navbar'
import HomePage from './pages/Home/HomePage'
import ContactPage from './pages/Contact/ContactPage'
import MessagePage from './pages/Message/MessagePage'
import { Message } from './services/interfaces/Message'
import { useState } from 'react'
import NotFoundPage from './services/utils/NotFoundPage'
import PrivateRoute from './services/utils/PrivateRoute'
import AuthorPage from './pages/Author/AuthorPage'


function App() {

  const [messages, setMessages] = useState<any>([]);

  const [authors, setAuthors] = useState<any>([]);


  function handleSubmitMessage(message: Message): void {
    setMessages([...messages, message]);
  }

  function handleSubmitAuthor(author: any) {
    setAuthors([...authors, author]);
  }

  return (
    <>
      <Navbar />

      <Routes>


        <Route path="/" element={<HomePage />} />

        <Route element={<PrivateRoute />} >

          <Route path="/contact" element={<ContactPage handleSubmitMessage={handleSubmitMessage} authors={authors} />}/>
          <Route path="/message" element={<MessagePage messages={messages} />} />
          <Route path="/author" element={<AuthorPage handleSubmitMessage={handleSubmitAuthor}/>} />
        </Route>

        <Route path="*" element={<NotFoundPage />} />

      </Routes>
    </>
  )
}

export default App
