/* eslint-disable @typescript-eslint/no-explicit-any */
import { Message } from '../../services/interfaces/Message';
import SubmitButtton from '../Submit-Button/SubmitButton';

interface PropForm {
  form: Message
  authors: any
  handleSubmit: (e:any) => void
  handleChange: (e:any) => void
}

export default function Form(props: PropForm) {
  const { form, authors, handleSubmit, handleChange } = props;

  return (
    <div className="border border-1 m-auto w-75">
      <div>
        <form onSubmit={handleSubmit}>
          <label htmlFor="title">Titre</label>
          <input
            type="text"
            name="title"
            id="title"
            value={form.title}
            onChange={handleChange}
          />
          <br />
          <br />

          <label htmlFor="category">Catégorie</label>
          <select
            name="category"
            id="category"
            value={form.category}
            onChange={handleChange}>
            <option value="">Sélectionner une catégorie</option>
            <option value="front">front</option>
            <option value="back">back</option>
            <option value="fullstack">fullstack</option>
            <option value="other">Autres</option>
          </select>
          <br />
          <br />

          <label htmlFor="message">Votre message</label>
          <textarea
            name="message"
            id="message"
            value={form.message}
            onChange={handleChange}>
          </textarea>
          <br />
          <br />

          <label htmlFor="author">Auteur</label>
          <select 
            name="author"
            id="author"
            onChange={handleChange}>
            <option value={""}>Sélectionner votre auteur</option>
            { 
                authors.map((author:any, index:number) => (
                <option key={index} value={`${author.firstname} ${author.lastname}`}>
                {author.firstname} {author.lastname}
                </option>
                ))
            }
          </select>
          <br />
          <br />

          <SubmitButtton title="Envoyer" />
        </form>
      </div>
    </div>
  );
}
