/* eslint-disable @typescript-eslint/no-explicit-any */
import { useState } from 'react'
import SubmitButtton from '../../components/Submit-Button/SubmitButton'
import './Author.css'

interface PropAuthor {
    handleSubmitMessage: (author: any) => void;
}

export default function AuthorPage({ handleSubmitMessage = () => {} }: PropAuthor) {

    const [author, setAuthor] = useState<any>({
        firstname: '',
        lastname: ''
    })

    function handleSubmit(e:any) {
        e.preventDefault()
        console.log(author)
        handleSubmitMessage(author)
    }  

    function handleChange(e:any) {
        const { name, value } = e.target;
        console.log(name)
        setAuthor({ ...author, [name]: value });
    }

    return (
        <>
            <h1>Tous les auteurs</h1>
            <form id="form" onSubmit={handleSubmit}>
                <label htmlFor="firstname">Prénom</label>
                <input type="text" name="firstname" id="firstname" value={author.firstname} onChange={handleChange} />
                <br />

                <label htmlFor="lastname">Nom</label>
                <input type="text" name="lastname" id="lastname" value={author.lastname} onChange={handleChange} />
                <br />

                <SubmitButtton title="Valider" />
            </form>
        </>
    )
}