/* eslint-disable @typescript-eslint/no-explicit-any */
// pages/ContactPage.tsx
import { useState } from 'react'
import './Contact.css'
import { Message } from '../../services/interfaces/Message'
import Form from '../../components/Form/Form'

interface PropContact {
  handleSubmitMessage: (message: Message) => void
  authors: any
}

export default function ContactPage(props: PropContact) {
  const { handleSubmitMessage, authors} = props;

  const [form, setForm] = useState<Message>({
    title: '',
    category: '',
    message: '',
    author: ''
  });

  function handleSubmit(e:any) {
    e.preventDefault();
    handleSubmitMessage(form);
  }

  function handleChange(e:any) {
    const { name, value } = e.target;
    setForm({ ...form, [name]: value });
  }

  return (
    <>
      <h1>Contact Page</h1>
      <Form form={form} handleSubmit={handleSubmit} handleChange={handleChange} authors={authors} />
    </>
  );
}
